Subject: bug#52841: show-paren paring error in org-mode source blocks

From: Yilkal Argaw <[email-masked]>
Date: Tue, 28 Dec 2021 07:01:37 +0300

show-paren-mode works fairly well in lisp source codes but the pairing
does not work in emacs source blocks. For example it pairs ) with <.

An example source code is in the following source code

#+begin_src emacs-lisp

  (if (not (version< emacs-version "27.0"))
      (progn
    (if (fboundp 'native-comp-available-p) (setq comp-deferred-compilation t))
    (setq warning-suppress-types '((flycheck syntax-checker) (comp))))
    )

#+end_src